[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TWindowMagnetOptions.AssignTo

Implements object persistence for TWindowMagnetOptions instances.

## Declaration

Source position: forms.pp line 425

`public procedure TWindowMagnetOptions.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | TWindowMagnetOptions instance where properties from the current instance are stored.

## Description

AssignTo is an overridden method in TWindowMagnetOptions. It reimplements the AssignTo method introduced in the TPersistent ancestor to support the TWindowMagnetOptions type.

If Dest is a TWindowMagnetOptions instance, properties from the current class are copied to Dest. The properties include:

- Distance
- SnapToMonitor
- SnapToForms
- SnapFormTarget

No actions are performed in the method if Dest is not derived from TWindowMagnetOptions. AssignTo does not call the inherited method which raises an EConvertError exception.

## See also

TPersistent.Assign